﻿form{
	/**background:#f7f7f7;
	background:-moz-linear-gradient(90deg, #ccc, #fff); /* Firefox */
	/*background:-webkit-gradient(linear, left top, left bottom, from(#fff), to(#ccc)); /* Webkit */
	/*border:1px solid #aaa;
	-moz-border-radius:10px;
	-webkit-border-radius:10px;
	-moz-box-shadow:0 0 15px #aaa;
	-webkit-box-shadow:0 0 15px #aaa;*/
    position: relative;
    margin-top: 1em;
	padding-top: 1em;
}

fieldset
{
    border: none;
}

legend{
	border-bottom:1px solid #ccc;
	font-size:11px;
	font-weight:bold;
	letter-spacing:2px;
	margin-bottom:20px;
	text-transform:uppercase;
}

.editor-label
{
    margin-top: 1em;
}

.editor-field
{
    margin-bottom: 1em;
}

/*All the from styling is handled by the foundation framework*/
/*form div:last-child{ /* Sélecteur avancé pour sélectionner le dernier paragraphe du formulaire 
	margin-bottom:0;
}

.editor-field label{
	cursor:pointer;
	display:block;
	float:left;
	font-size:13px;
	font-weight:bold;
	line-height:28px;
	margin-bottom:0.4em;
	width:14em;

}

.questionaire-label 
{
    margin-top: 10px;
    position:relative;
    width:500px;
    font-weight: bold;
}

.questionaire-field 
{
    margin-top: 5px;
    position:relative;
    width:100%;
}

.questionnaire-button
{   
   height: 28px;
   vertical-align:bottom;
}


form div:hover label{
	color:#0459b7;
}
form div:hover label:after{
	content:" »";
}

.editor-field input[type=text],
input[type=password]{
	background: rgba(255, 255, 255, 0.9);
	background:-moz-linear-gradient(90deg, #fff, #eee); 
	background:-webkit-gradient(linear, left top, left bottom, from(#eee), to(#fff), color-stop(0.2, #fff));
	border:1px solid #aaa;
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	-moz-box-shadow:0 0 3px #aaa;
	-webkit-box-shadow:0 0 3px #aaa;
	padding:5px;
	width:15em;
}
.editor-field input[type=text]:focus,
input[type=password]:focus{
	border-color:#093c75;
	-moz-box-shadow:0 0 3px #0459b7;
	-webkit-box-shadow:0 0 3px #0459b7;
	outline:none; Pour enlever le contour jaune lorsque l'on sélectionne un input dans Chrome
}

.editor-field input[type=checkbox]
{
    height: 28px;
    text-align: left;
}

.editor-field select{
	cursor:pointer;
	padding:3px;
	-moz-box-shadow:0 0 3px #aaa;
	-webkit-box-shadow:0 0 3px #aaa;
}
.editor-field select:active,
.editor-field select:focus{
	border:1px solid #093c75;
	-moz-box-shadow:0 0 3px #0459b7;
	-webkit-box-shadow:0 0 3px #0459b7;
	outline:none;
}*/

/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error {
    color: #ff0000;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

.validation-summary-errors {
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid {
    display: none;
}


.hidden-content
{
    visibility:hidden;
}
